/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { NgZone } from "@angular/core";
import { DragResizeService } from './drag-resize.service';
import { WindowState } from "./models/window-types";
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class NavigationService {
    private window;
    private ngZone;
    constructor(window: DragResizeService, ngZone: NgZone);
    process(ev: any): void;
    handleArrow(key: number, ev: KeyboardEvent): void;
    handleEscape(): void;
    handleDrag(key: number): void;
    handleResize(key: number): void;
    handleStateChange(key: number, state: WindowState): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NavigationService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<NavigationService>;
}
